#ifndef Commondef_h
#define Commondef_h

//----------------------------------------------------------------
// commondef.h
//
// Some commonly encountered definitions.
//----------------------------------------------------------------

#define RAD2DEG 57.2957795128
#define DEG2RAD 0.01745329252

#define	SQR( a )    ( (a)*(a) )
#define	CUBE( a )  ( (a)*(a)*(a) )
#define MAX( a, b) ( ((a) > (b)) ? (a) : (b) )
#define MIN( a, b) ( ((a) > (b)) ? (b) : (a) )
#define ABS( a )   ( ((a) < 0) ? (-(a)) : (a) )
#define SIGN( a )  ( ((a) < 0) ?  -1  : 1 )

typedef enum TagStatus{
     FAILURE = 0, SUCCESS = 1
} Status;




#endif
